This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 242991 - Pull aic94xx firmware out of the kernel.
Pull aic94xx firmware out of the kernel.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Masters
Martin Jenner
:
Depends On:
Blocks: 425461
  Show dependency treegraph
 
Reported: 2007-06-06 16:35 EDT by Tom Coughlan
Modified: 2007-12-14 16:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 16:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Removes firmware, and adds loading support to aic94xx (124.38 KB, patch)
2007-06-06 17:08 EDT, Ryan Powers
no flags Details | Diff

  None (edit)
Description Ryan Powers 2007-06-06 16:35:53 EDT
The aic94xx firmware has been removed from the upstream kernel. The ability to
load firmware at boot and install time is being added to RHEL5, so the firmware
here should be removed, and packaged outside of the kernel.
Comment 1 Ryan Powers 2007-06-06 17:08:26 EDT
Created attachment 156391 [details]
Removes firmware, and adds loading support to aic94xx

This is a preliminary patch that I generated to remove the firmware from the
kernel, and add the loading support. These changes all came from upstream.
However, at the time I generated this, and still currently, I do not have a way
to test this, as the only system with an aic94xx device boots from it. There
have been two upstream patches to handle newer firmwares from Adaptec that are
not integrated in this.
Comment 2 Red Hat Bugzilla 2007-10-23 11:30:45 EDT
User rpowers@redhat.com's account has been closed
Comment 3 Red Hat Bugzilla 2007-10-23 11:30:50 EDT
User rpowers@redhat.com's account has been closed
Comment 5 Jon Masters 2007-11-12 16:18:53 EST
We support external firmware packaging in RHEL5, but not for certain in-box
kernel drivers at this stage. These can still be updated, using the driver
update program to replace the entire driver and firmware (which may be replaced
with an external firmware file, it need not be built into the driver any more)
in one go.

It is planned to address this ahead of the next major product release, and we
are also willing to discuss this issue further if it becomes very serious.

Jon.

Note You need to log in before you can comment on or make changes to this bug.